Delete a thread
DELETE
/v1/email/threads/{thread_id}
await bird.email.threads.delete("thr_01abc", { permanent: true });client.email.threads.delete("thr_01krdgeqcxet5s7t44vh8rt9mg", permanent=True)if err := client.Email.Threads.Delete(context.Background(), "thr_123", bird.EmailThreadsDeleteParams{Permanent: true}); err != nil {
log.Fatal(err)
}$bird->email->threads->delete('thr_01krdgeqcxet5s7t44vh8rt9mg');bird email threads delete <thread-id> --yescurl -X DELETE "https://us1.platform.bird.com/v1/email/threads/{thread_id}" \
-H "Authorization: Bearer $TOKEN" \
--url-query "permanent=false"Moves the conversation and all of its messages to the trash. Trashed messages are permanently deleted after 30 days, or sooner if the mailbox's retention period ends first. Pass permanent=true to permanently delete the conversation and its messages immediately.
Parámetros
thread_id
string
Thread identifier. Starts with thr_.
Parámetros de consulta
permanent
boolean
Permanently delete the conversation and its messages immediately instead of moving them to the trash.
Recursos relacionados
Continúa con la documentación, guías y ejemplos sobre este tema. Los recursos están en inglés.
Ver la guíaGetting started with emailExplorar la funcionalidadEmailSeguir la ruta de aprendizajeBuild your first integrationGuía de implementaciónSend your first email
Prueba el ejercicio y obtén un resumen de implementación